Bug 1389951 - [abrt] ibus: g_define_type_id.volatile(): ibus-x11 killed by SIGSEGV
Summary: [abrt] ibus: g_define_type_id.volatile(): ibus-x11 killed by SIGSEGV
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: ibus
Version: 24
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: fujiwara
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:90041ee5a51d1a66f85528e2d2f...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-10-29 20:36 UTC by Lluis
Modified: 2017-08-24 09:55 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-08-08 19:03:27 UTC


Attachments (Terms of Use)
File: backtrace (16.25 KB, text/plain)
2016-10-29 20:36 UTC, Lluis
no flags Details
File: cgroup (240 bytes, text/plain)
2016-10-29 20:36 UTC, Lluis
no flags Details
File: core_backtrace (4.52 KB, text/plain)
2016-10-29 20:36 UTC, Lluis
no flags Details
File: dso_list (9.75 KB, text/plain)
2016-10-29 20:36 UTC, Lluis
no flags Details
File: environ (1.16 KB, text/plain)
2016-10-29 20:36 UTC, Lluis
no flags Details
File: exploitable (156 bytes, text/plain)
2016-10-29 20:36 UTC, Lluis
no flags Details
File: limits (1.29 KB, text/plain)
2016-10-29 20:36 UTC, Lluis
no flags Details
File: maps (42.34 KB, text/plain)
2016-10-29 20:36 UTC, Lluis
no flags Details
File: mountinfo (3.04 KB, text/plain)
2016-10-29 20:37 UTC, Lluis
no flags Details
File: namespaces (102 bytes, text/plain)
2016-10-29 20:37 UTC, Lluis
no flags Details
File: open_fds (878 bytes, text/plain)
2016-10-29 20:37 UTC, Lluis
no flags Details
File: proc_pid_status (1.08 KB, text/plain)
2016-10-29 20:37 UTC, Lluis
no flags Details
File: var_log_messages (298 bytes, text/plain)
2016-10-29 20:37 UTC, Lluis
no flags Details

Description Lluis 2016-10-29 20:36:37 UTC
Version-Release number of selected component:
ibus-1.5.13-3.fc24

Additional info:
reporter:       libreport-2.7.2
backtrace_rating: 3
cmdline:        /usr/libexec/ibus-x11 --kill-daemon
crash_function: g_define_type_id.volatile
executable:     /usr/libexec/ibus-x11
global_pid:     1073
kernel:         4.7.6-200.fc24.x86_64
pkg_fingerprint: 73BD E983 81B4 6521
pkg_vendor:     Fedora Project
runlevel:       N 5
type:           CCpp
uid:            42

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 g_define_type_id.volatile
 #1 gtk_dialog_get_type at gtkdialog.c:241
 #2 gtk_module_init at canberra-gtk-module.c:980
 #3 load_module at gtkmodules.c:343
 #4 load_modules at gtkmodules.c:426
 #5 _gtk_modules_settings_changed at gtkmodules.c:574
 #6 settings_update_modules at gtksettings.c:2948
 #7 gtk_settings_get_for_screen at gtksettings.c:1905
 #8 _gtk_settings_handle_event at gtksettings.c:2856
 #9 gtk_main_do_event at gtkmain.c:1640

Comment 1 Lluis 2016-10-29 20:36:45 UTC
Created attachment 1215432 [details]
File: backtrace

Comment 2 Lluis 2016-10-29 20:36:46 UTC
Created attachment 1215433 [details]
File: cgroup

Comment 3 Lluis 2016-10-29 20:36:48 UTC
Created attachment 1215434 [details]
File: core_backtrace

Comment 4 Lluis 2016-10-29 20:36:51 UTC
Created attachment 1215435 [details]
File: dso_list

Comment 5 Lluis 2016-10-29 20:36:52 UTC
Created attachment 1215436 [details]
File: environ

Comment 6 Lluis 2016-10-29 20:36:54 UTC
Created attachment 1215437 [details]
File: exploitable

Comment 7 Lluis 2016-10-29 20:36:56 UTC
Created attachment 1215438 [details]
File: limits

Comment 8 Lluis 2016-10-29 20:36:59 UTC
Created attachment 1215439 [details]
File: maps

Comment 9 Lluis 2016-10-29 20:37:01 UTC
Created attachment 1215440 [details]
File: mountinfo

Comment 10 Lluis 2016-10-29 20:37:02 UTC
Created attachment 1215441 [details]
File: namespaces

Comment 11 Lluis 2016-10-29 20:37:04 UTC
Created attachment 1215442 [details]
File: open_fds

Comment 12 Lluis 2016-10-29 20:37:06 UTC
Created attachment 1215443 [details]
File: proc_pid_status

Comment 13 Lluis 2016-10-29 20:37:08 UTC
Created attachment 1215444 [details]
File: var_log_messages

Comment 14 Fedora End Of Life 2017-07-25 23:40:23 UTC
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 15 Fedora End Of Life 2017-08-08 19:03:27 UTC
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 16 ompragash 2017-08-24 09:55:37 UTC
Cannot reproduce. Feel free to reopen if anyone can reproduce this issue with "How to reproduce".


Note You need to log in before you can comment on or make changes to this bug.